// Dosya: public/assets/js/components/common/LoadingSpinner.jsx | Yol: /home/main/public_html/ai.zefre.net/stocksense/public/assets/js/components/common/LoadingSpinner.jsx
/**
 * StockSense - Shopify Stok Optimizasyonu Uygulaması
 * 
 * Geliştiren: Muhsin İŞSEVER
 * E-posta: muhsin.issever@gmail.com
 * Web sitesi: https://ai.zefre.net/
 * R10 Profili: https://www.r10.net/profil/193-gneral.html
 * GitHub: www.github.com/gneral
 */

import React from 'react';
import { useTranslation } from 'react-i18next';

const LoadingSpinner = ({ size = 'medium', message = null, fullScreen = false }) => {
  const { t } = useTranslation();
  
  // Size classes
  const sizeClasses = {
    small: 'w-5 h-5',
    medium: 'w-8 h-8',
    large: 'w-12 h-12',
    xl: 'w-16 h-16'
  };
  
  // Spinner class
  const spinnerClass = sizeClasses[size] || sizeClasses.medium;
  
  // Default message
  const defaultMessage = t('app.loading');
  
  // Container classes
  const containerClasses = fullScreen
    ? 'fixed inset-0 flex flex-col items-center justify-center bg-white bg-opacity-80 dark:bg-gray-900 dark:bg-opacity-80 z-50'
    : 'flex flex-col items-center justify-center py-8';
  
  return (
    <div className={containerClasses}>
      <div className="flex justify-center items-center">
        <div className={`${spinnerClass} border-4 border-t-indigo-500 border-r-transparent border-b-indigo-500 border-l-transparent rounded-full animate-spin`}></div>
      </div>
      {(message || fullScreen) && (
        <p className="mt-4 text-gray-600 dark:text-gray-300 text-center">
          {message || defaultMessage}
        </p>
      )}
    </div>
  );
};

export default LoadingSpinner;
